//Code by Laura July 2014
//Starts from BlinkMTesterLP
//Paired down for a version to use with networking testing

/*
 * BlinkM connections to Arduino
 * PWR - -- gnd -- black -- Gnd
 * PWR + -- +5V -- red   -- 5V
 * I2C d -- SDA -- green -- Analog In 4
 * I2C c -- SCK -- blue  -- Analog In 5
 */
//FOR ARDUINO 1.0


*/

#include "Wire.h"
#include "BlinkM_funcs.h"

#include <avr/pgmspace.h>  // for progmem stuff

// set this if you're plugging a BlinkM directly into an Arduino,
// into the standard position on analog in pins 2,3,4,5
// otherwise you can set it to false or just leave it alone
//Don't forget to change the jumper on the blink!
const boolean BLINKM_ARDUINO_POWERED = true;

//Put the BlinkMMax's address here (maybe in hex?).  Currently should be values 11 through 20
byte newAddress = 41; 

// arduino setup func
void setup()
{
  if( BLINKM_ARDUINO_POWERED )
    BlinkM_beginWithPower();
  else
    BlinkM_begin();

  delay(100); // wait a bit for things to stabilize
  BlinkM_off(0);  // turn everyone off

//Set the address to the new value
  BlinkM_setAddress(newAddress);
    
  Serial.begin(9600);


}



void loop(){
  //Open the serial port to verify we got the address we wanted
  byte addr = BlinkM_getAddress(newAddress);
  Serial.println(addr, HEX);

  //Unplug the blink: we don't need to set the address more than once
  delay(5000);
}


